Changelog:
	2.44:
		new:
			Workaround for Arena OSC message processing messing up packets a bit with 7.22.3 and later resulting in transition times not being applied on column trigger
	2.43:
		new:
			more version detection improvements
		Fixed:
			v7 live mode and column name fixes
	2.42:
		Fixed:
			pitchbending in v7
			new Resolume version compatibility
			Resolume version auto detection
			IP detection fix
			Closed decks fix
	2.41:
		Fixed:
			Server connection certificates
	2.40:
		New:
			Option to hide cue indexes
	2.39:
		Fixed:
			BPM received from v7 is not correct
	2.38 :
		Fixed:
			Computer ID and registration check can fail on new macOS
	2.37 :
		Fixed: 
			Preferences won't open on some machines
	2.36 :
		new:
			SMPTE in via OSC: use /smptecontroller/smpte1 and /smptecontroller/smpte2 to send LTC to Controler as String "00:00:00.00"
			Better LTC slowdown-speedup tolerance
			LTC error flashes up longer
		Fixed:
			Resolume 7.5 column cue data save
			Try to keep last used audio input for SMPTE if sound devices change
	2.35 : 
		fixed:
			Resolume 7.5 compatibility fixes.
	2.34 : 
		fixed:
			server certificate updates
	2.33 :
		new: 
			day of week / time of day launching.
			OSC Cue name weird character cleanup option.
	2.32 :
		fixed: 
			some registration issues.
			column names renaimng in all decks, when renaming a column scene
			scenses got selected with R7, on column select or right click
	2.31 :
		new: 
			24h+ SMPTE support
			R7 support
		fixed: 	
			some Live mode enhancements
	2.30: 
		fixed:
			Crash when global transition slider moved with no composition loaded.
			Reset button clearing cue list and deck selection with Resolume 6 composition
			Possible hang with Resolume 6 composition and closed decks.       
			Cue list sometimes flashy with SMPTE/MTC enabled and getting input.
			R6 clip automations should work now nice
			Controller loads now a Resolume 6 example composition on first startup, instead a Resolume 4 composition
		new: 
			Your computer's name is submitted to the server so you can track your keys better.
			You can now choose the scene name source, layer 1, top layer, column name(R6 only)
			Clip/colum color based cue coloring (with R6 only).
			Live mode - live conenction to Master Resolume, to build the cue list. No more save and reload. (beta)
	2.29 :
		fixed:
			R6 transition blends not correctly sent.
			R6 BPM not sent correctly.
		new:
			Resync playback control option added
	2.28 :
		fixed:
			clip track paths not recorded to clip logs
	2.27 :
		new:	
			Resolume 6 support
			SMPTE allowing 24h+ TC-s, not marking as invalid.
	2.26 :
		fixed:
			pause key not working
			some master actions were not followed in 2.25
	2.25 :
		fixed:
			added missing client info to clip logger error message
	2.24 :
		new:
			trying to prevent AppNap on OSX when in background, you can disable this in preferences, if you encounter any problems with SMPTE.
			Save As dialog warns if file already exists.
		fixed:
			automation couldn't be applied when deck ID-s were large numbers in .avc
			faster file dialog on OSX, first Open and SaveAs doesn't hang the system now.
	2.23 :
		fixed:
			SMPTE not working correctly
	2.22 :
		fixed: some small processing improvements
	2.21 :
		new:
			select all button for transition blend layers selector
		fixed:
			autolaunch would not stop when no next scene is available.
			autolaunch timing would be thrown off, when system clock changes.
			some transition time evaluation refinements.
			UI draw slowdown when composition has Lot of Scenes.
		changed:
			window zoom in preferences is now a slider, and window gets sized instatnly so you can see what you set.
	2.20 :
		fixed:
			when file was opened via drag'n drop, and then collecting the composition, the collected composition file name was the previously opened file's name.
			composition collector wouldn't find certain files to collect.
		new:
			posibility to set transition times per layer
			option to disable global transition time controls, but setting via scene still applies.
			option to switch SpaceBar with Enter,( Space as NEXT )
	2.17 :
		new:
			option to watch for composition file modification, and auto reload composition.
		fixed:
			show/hide bypassed scenes doesn't keep the scene and cursor position. 
			cue editor now closing when deck is switched in background.
			when bypassed/empty column launched in resolume, and then an other scene was launched via mouse click (direct recall) 
				the red current playing scene indicator was not updated.
			clipAutomation lauched bypassed scene when show bypassed scenes was enabled.
			when manually launching a bypassed scene with automation, the automation was not working.
			toggling showBypassedScenes and Scene editing was resetting clip Layer Automations.
			program tries to keep cursor and playign scene at the same resolume column when reloading composition.
			reload doesn't clear the loaded data any more, when the reload is not possible.
		changed:
			messager now only shows the last 2 autoAid launch messages, so the messages don't hide the scenes.
	2.16 :
		new:
			deck added to jump types in SceneEditor.
			Transition blend controls added to SceneEditor.
			option in Preferences to lauch first scene in deck, when deck switching has finished.
		changed:
			jump to deck (@DECKno@) cues can can have other modifiers working like BPM, automation, etc.
		fixed:
			toolTips for main window were shown when info was open.
			if first scene in deck was bypassed and showBypassedScenes was enabled, it would not be jumped over on deck load.
	2.15 :	
		new:
			dragndrop avc to main window;
		fixed:
			unregistering fails if whitespaces sneak into key on registering.
	2.14 :
		fixed:
			missing translation shows what's missing instead of undef
			midi prev/next sometimes not effective.
		new:
			dragging the SMPTE/MTC offset + or - adjusts offset. 		new:
	2.13 :
		fixed:
			sometimes the right-click scene editor didn't show up when LTC or MTC time was set.
		new:
			option to show Resolume column numbers instead of Scene index in the Scene list.
	2.12 :
		fixed:
			program packer could return an error when trying to launch program, it is recommended to update 2.11 versions to this one.
	2.11 :
		fixed:
			unnecessary BPM query on first launch after scene edit, also method changed from divide/multiply to inc/dec.
			Background Clicker - nativeKeyboardHook - now only gets registered if enabled in preferences.
	2.10 : 
		fixed:
			cliplog didn't follow new file Log filename when client name was changed
			cliplog didn't catch all events, when lot of OSC traffic, should work better now.
			translations for scene editor
			automation timebase selection 
			Clicker was not working
	2.09 : 
		new:
			clip playback log, the log files are stored in Documents/Controller ClipLogs/date_clientNo_name_ip.txt   tabbed txt file
			(when switching to another deck, the playing clips are treated as stopped)
		fixed: 
			when BPM value was not stored in composition with default 120BPM setting, Resetting the master/slaves could cause BPM to be set to 2.
	2.08 :
		new:
			advanced scene editor
			mouse right click copy/paste working on text fields
		fixed:
			clip collector didn't rewrite file paths if media/ffgl collection was disabled.
			some translation typos.
		changed:
			installer tries to re enable Controller in accessibility options on OsX
	2.07:
		fixed:
			window icon working now on windows.
			dialogs could get behind main window
			opneing mtc window was always on top on windows.
			an error when last cue was set to keep automation and jumped over to blackout
			window grew on every launch
			window size was very small when installed fresh.
		changed:
			language list is sorted alhabetically
		new:
			splash screen with progress indicator	
	2.06 :
		fixed:
			when upgrading sometimes a re-registering was needed on OsX.
	2.05 :
		fixed:
			trying to open an empty composition file caused blank app screen.
	2.04 : 
		new:
			UI translations, If you would like to make a translation, get the template at <a href="http://palffyzoltan.hu/controller/getLangByID.php">http://palffyzoltan.hu/controller/getLangByID.php</a> 
				and please send the translated template file to me so it can be included in the database and next release.
			clearer and unicode font
		fixed:
			size behavior when window zoom set to high numbers.
	2.03 :
		new 
			Midi timecode launch 
			option to keep window always on top
			config remembers window size
	2.02 :
		new:
			option to change input source
	2.01 : 
		fixed:
			saving a composition with a lot of files took wery long
	2.0 :
		new:
			LTC / SMPTE cue launch syncronisation with SMPTE learn in Automation Aid
			transferable offline license
			rename scenes in app with mouse->right click on the scene text.
			save composition with updated scene names
			show bypassed scenes, so you can enable them on the fly.
	1.96 :
		new:
			deck list position indicator
			option to look for and collect screensetup with the same name as the compositions set name
			option to choose automation apply type : Time / Beats (rounded see preferences) 
			tooltips for menu buttons
		fixed:
			work path not set correctly under windows
	1.952 :
		new : 
			scrolling for deckbuttons
		fixed:
			automation aid appended multiple auto times to scene when user jumped back to a previous scene during record.
			no screen update while waiting for user automation apply decision.
			messaging enhancements
		changed:
			closing preferences doesn't cause key check if the key hasn't changed.
			some minor screen drawings.
	1.951 :
		new:
			Demo text background for demo mode, so you instantly see, if there is an error with your key.
		fixed:
			schedule mail was sent to the wrong email address.
			preferences-collector options could be changed while collecting.
			working on a temporary file while collecting now, to aviod conflicts if composition is rewritten while collecting.
	1.95 :
		new :
			collector code completely rewritten, should be faster and has more parameters ! can have bugs !
			@randomScene@ control to set the cursor to a random scene, works with autolaunch, and clip automation too, overrides automation Follows cursor setting!
		fixed:
			enhancements to ClipAutomation stability with Looping clip
		changed:
			renamed global fade time slider to global transition time to use resolume term
	1.941 :
		fixed:
			collecting ffgl effects caused Collect to fail on OsX, when CollectDlls was enabled.
			OSC remote feedback loop on wrong port setting from localhost.
	1.94 : 
		new:
			OSC Remote (your phone) port changeable.
			OSC Remote can directly launch scene with   /scene i   message
			when in background, window warning can be switched to let user see the scene list. see "show scenes in background" in preferences
			added option for "Adjust transitiontime for shorter Autolaunch" for example when launching Scene no2 : 3seconds autolaunch with 5 seconds transition "fadeIn" then this scene's transition time is modified to 2.95 seconds so it finishes in time.
		fixed: 
			scheduled scene launch sometimes inaccurate
			Controller running on BootCamped Windows reported different machineId
			changed: connection check interval setting moved to clients tab in preferences
			Disabling automation didn't disable Schedule
			When preferences was reopened fast, the old setting values were shown. 
			Autolaunch Transitiontime correction was not restored when corrected transition was overrided by the user.
	1.93 :
		new:
			new: set Layer transition blend for Cues
			@Blend [blend name] layer [layer nummbers delimited by ',' and/or layer range  like: '3-5']@
		changed:
			minor code speedup for relay mode 
	1.92 :
		fixed:
			CMD+q on OSX did not make Controller log out from the registration server, so the key was not freed for transfer.
			some clip automation progress display fixes
	1.91 :
		fixed:
			composition name not updating in window title on file open.
			ClipAutomation ignored Automation Follows Cursor setting.
			ClipAutomation arrow was missing.
		added:
		some number format error messages regarding @**@ parameters
	1.9 :
		fixed: some bugs	
	1.89 :
		new:
			added pause, bypass controls to midi. 
	1.88:
		fixed:
			reload doesn't resize window any more
	1.87:
		fixed:
			some bugs regarding initial configuration setup, settings not getting saved.
			preferences panel client list messed up. 
	1.86:
		fixed:
			bypassed event from Resolume ignored sometimes
		changed:
			clip unicode clip name characters are converted to base ASCII, when applying automation
			Mac version now has the latest JRE integrated.
	1.85:
		fixed:
			using Clicker with Controller in background (keyboard hook) should work now.
			Clicker in background was not initialized on startup with stored setting.
			some config handle bugs.
		changed:
			clicker button assign names now show only the action name they perform.
			clicker enabled checkbox moved to clicker preferences panel.
			clicker user chooses if a clicker button can be assigned to more actions at the same time.
			dialog look for OsX and Composition collect to display what's happening.         
		added: 
			more functions to assign to Clicker buttons 
	1.84:
		fixed:
			appcrash when user hits assigned Clicker key while initialization.
			clip automation was active even when global automation was disabled.
		new:
			experimental ability to use Application in background with Clicker (and assigned Keys). See Preferences.
			experimental 'Clip automation on clip loop and still sources' - see preferences 
		changed:
			removed BackSpace as clicker Unassing key.
	1.83:
		new:
			auto launch when playing clip ends in given layer @CA[layerNumber]@ eg: @CA3@ for layer 3.
				won't work on loops and still images/sources!
			added number of deck to deck buttons
			Apply automation aid recordings with F6
			added '.' to make resolume bypass composition 
			presentation clicker buttons can be assigned by the user in preferences
		changed:
			some OSC tweaks.
			Messager and logging fixes.
			key handling improved for key combinations
			F4 to F7 for opening last auto aid recording file 
			F5 to F8 for opening autoAid recording folder
	1.82:
		changed:
			disabling development help sending is now available only to registered machines.
			when no midi input is specified clicking on midi button (or pushing "m" ) will open preferences.
			some buttom behavioral changes while RelayMode enabled to be able to open Preferences and Info.
		new:
			external whitelist and blacklist files are available sou you can define your own rules for RelayMode (see info).
	1.81:
		changed:
			outgoing OSC messages get queued in background now.
		fixed:
			bundle receive should work better now and should not cause excessive memory usage.
		new:
			osc packet size auto adjusting.

	1.8:
		fixed:
			C2 was missing from middle C list
		new:
			scroll ahead adjustable to keep your cue next cues better in view.
			Automation Aid now stores the results in a file F4 opens last file, F5 opens records folder.
			Automation range to be able to create multiple cue's automation faster, 
				just set the start @ASTimeinMSecs@ or @ASBeatsb@ or @ASBarsB@ and set the end with @AE@ - can work thru decks.
	1.771:
		changed:
			rearranged preferences into 2 tabs, to fit better on smaller screens
	1.77:
		new:
    		colorize cues when (multiple) !  is found in cue name, "3!" will work also like "!!!"
			option to enable/disable log file sending to help development
	1.76:	
		fixed:
			config file got overwritten if old config file could not be removed due to file permissions.
	1.75:
		new: 
			send email notification on schedule event.
		fixed: 
			schedule indexing and text was incorrect
	1.74:
		native OSX compatibility for a future release is in the works.
		touchOSC interface template pre programmed
		changed :
			comp collect dialog order - mac compatibility?
			some dialog methods - mac compatibility
			time display and messages now show when window not in focus. 
			moved some methods to background process.
			info remembers position
			gui refresh rate lowered to 25fps to save some cpu time
		fixed: relaunch timer was waaay too fast
	1.73:
		changed: automation aid messages, to show if aid is counting.  
	1.72:
		fixed:
			automation and transition timing was inaccurate when coumputer was under heavy load.
			some issues regarding automation and deckswitch
	1.71:
		new:
			button and keyboard shortcut 'f' for ForceFinish
		changed:
			forceFinish ignored when launching cue from master. 
			some xml handling.
	1.7:
		new:
			Failover connection for servers.
			Option to have transition force-finished when transition is running.  
	1.69:
		new:
			check for instance allready running - no more accidental double launches.
		fixed:
			some OSC message errors.
		changed:
			a message dialog text to better reflect what happened during Collect.
	1.68:
		new:
			fix for regkey copy-paste unwanted invisible characters - key not accepted by server
			notification for user of listening port bind error
	1.671:
		new:
			You can change midi Middle C, default is C0, deck direct recall starts from middleC + 1 octave up.
	1.66:
		new: 
			a Blackout button at the end of deck, to better see automation target if automation follows cursor.
			indication of scene to be auto launched when deck switch has occured while automation was running.
			option to keep Automation running On Deck Switch.
			parsing Autolauch on Deck Switch scene, now it is possible to automate(timeline) thru decks.
		fixed:
			autolaunch arrow actually points to cursor when automation follows cursor. 
			opening preferences suspended autolaunch.
			reloading while autolaunch cleared arrow indicator.
			open dialog did not rememrer folder when last file opened on startup.
	1.65:
		new:
			added a failover server for registration checking

	1.64:
		new:
			option to copy same name files only once from different source paths
		changed:
			collected directory structure to separate files better.
		fixed:
			layer and composition masks were missing after composition collect.
	1.63:
		added:
			bpm pitchbending
	1.62:
		new:
			option to collect dll files, and media files in preferences for easier backup of compositions.
			added more program options to preferences.
		changed:
			some titles in preferences for easier understanding.
			displaying first interface ip address in preferences
			reamed ClipCollector button to CompCollector as now it is possible to back up the full content of the composition.
	1.61:
		new:
			edit config in-app
		changed:
			config, log and key file location changed to userHome\appdata\RavenEntertainmenT\Linear OSC Controller for Resolume\
			simplified registration process, so User don't have to search for machineID
		fixed:
			window init width too big.
	1.6:	
		new:	
			pure relay mode, to run resolume instances in sync from resolume UI
			added automationAid button
		fixed:
			blank UI when XML loading failed due to parse error.
	1.59:
		fixed:
			automation kept running on "reset deck" scene ... this time really :)
			config file was overwritten on program reinstall.
	1.58:
		new:
			check for new version.
		fixed:
			automation kept running on "reset deck" scene
			some license transfer fixes on server, please update to newest program version to work correctly!
	1.57:
		fixed:
			freeze when automation is running, and last Scene is set to Keep Automation - no Scene to jump to.	
	1.56:
		new:
			transition time relay from master Resolume to others and to self/other_layers (default is on, you can disable in config.)
			time display
			schedule countdown
	1.55:
		fixed:
			transition times sending out too many times, when not relaying. 
	1.54:
		new:
			added @pause@ and @play@ functions
			jump to bookmark @Jb[bookmark name]@
		fixed:
			deck select buttons were not working when remote switched to empty deck.
			info scrollup button not working properly
			some button behavior fixes (Midi, Automation)
	1.53.5:
		new: 
			accidental cursor move during running autolaunch fix (editable via config, it is possible to autolaunch at cursor position)
			"keep automation running but launch" scenes with @kA@ - with visual aid
			autolaunch waits for deck to load 
	1.53:
		new:
			auto launch after beats/Bars
			jump to scene/column
			automation aid function - displays time and beats between launches
	1.52:
		new: 
			simpler OSC remote setup with password,  
			Internal BPM counter is default now instead of OSC:/tap messages,(see config to change)
			BPM values get synced from master client on startup.
			BPM values are read from composition file, 
			When pushing Reset composition BPM value is sent to the clients.
			Extended OSC remote controllable functions from third party OSC app.
			Feedback to third party app.
			Midi config can be edited in-App.
			Last used composition is opened on startup if it exists.
		modified:
			messagigng system
			automation toggle key from "Control + a" to "a"
			midi toggle key from "Control + m" to "m"
			"Control + m" or "Control + Click" opens midi input selector.
		fixed:
			when multiple clients enabled, the master client was the second client, instead of the first.
			several OSC related fixes.
	1.5:
		new:
			Application now controllable by Midi
	1.4.1:
		Changes:
			Changed button behavior of menu and deck buttons to activate on MouseRelease,
			Added visual indication of buttonDown to buttons,
			Changed acive deck color.
		fixed:
			Scrollbar behavior
			Up/Down arrows now control active list
	1.4: 
		Changes:
			Added another warning message before collecting.
			Added count for remaining files in collect message.
			Added transition progress bar. 
		fixed:
			Clip collector did not collect masks.
			Changed file copy method, to a faster solution.
			Files with some unicode character names were not copied. 
	1.36: 
		Changed: transitiontime and blackout can be sent even if no composition loaded.
		fixed:
	        	error when ping is sent, while other message sent,
		        transition time slider drag now works,
		        file handling issues when composition file is lost between selection and actual loading, 
		        missing config file handling,
		        missing readme file handling.
	1.35:
		Changed runtime and installer framework
		Added online licensing possibility.(license transfer is coming soon)
	1.34: 
		UI modifications
		new: schedule scene launch to time @SCHhh:mm:ss@ 
		fixed:
			some resize issues.
			scene relaunch from master Resolume did not relaunch automation. 
	1.33:
		add auto launch @A[msecs]@, 
		relaunch feature @R[msecs](C[n])@ : relaunch (n times) or until autolaunch		
	1.32
		Now possible to use a third party OSC program to control program features
		from Android or iOS or other OS.
		Connection montoring (OSC output must be enabled in Resolume, no bundles)
		fixed: pause not always in sync with master arena
	1.31
		fixed: clip collector sometimes messes up files
	1.30	
		Clip Collector!
	1.27
		blackout transition time is now the current tr. time instead of the last scene's
		force scroll control - when no clip on layer 1
		button fill fix      
		use control keys from config      
      	1.26
		added licensing
		added transport controls:
	1.25
		bpm @BPM[bpm];
		space: pause
		s : resync;
		TAB: tap tempo;
